<%@ page contentType="text/html; charset=GBK" %>
<%@ page import="java.io.*,java.text.*,java.util.*,java.sql.*,DBstep.iDBManager2000.*" %>
<%@ include file="/sessionInfo.jsp"%>
<html>
<head>
<title>标签管理</title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
<script language=javascript>
function Check(theForm){
	if (webform.BookMarkName.value == ""){
		alert("请输入标签名.");
		webform.BookMarkName.focus();
		return (false);
	}
	webform.submit();
}

function ConfirmDel(FileUrl){
	if (confirm('是否确定删除该标签！')){
		location.href=FileUrl;
	}
}
</Script>
</head>
<body bgcolor="#ffffff">
<%@ include file="/share/weboffice/title.jsp"%>
<table width="100%">
  <tr>
    <td>
      <%=SzPageHelp.button("保存","javascript:Check();")%>
      <%=SzPageHelp.backButton()%>
    </td>
  </tr>
</table>
<%
String mBookMarkID=request.getParameter("BookMarkID");
boolean mResult=false;

DBstep.iDBManager2000 DbaObj=new DBstep.iDBManager2000();
if (DbaObj.OpenConnection())
{
  String mSql="select * from BookMarks where BookMarkID = " + mBookMarkID;
  try
  {
    ResultSet result=DbaObj.ExecuteQuery(mSql) ;
    if (result.next())
    {

%>
<form name="webform" method="post" action="BookMarkEdit.jsp" onsubmit="return Check(this)">
<input type="hidden" name="BookMarkID" value="<%=mBookMarkID%>">
<table border=0  cellspacing='0' cellpadding='0' width=100% align=center class=TBStyle>
<tr>
  <td nowrap align=center class="TDTitleStyle" width=64>标签名称</td>
  <td class="TDStyle" width="90%">
    <input type="text" name="BookMarkName" size="50" maxlength="32" class="IptStyle" value="<%=result.getString("BookMarkName")%>">
    <font color="red">[不能以数字开头]</font>
  </td>
</tr>
<tr>
  <td nowrap align=center class="TDTitleStyle" width=64>标签说明</td>
  <td class="TDStyle"><input type="text" name="BookMarkDesc" size="50" maxlength="60" class="IptStyle" value="<%=result.getString("BookMarkDesc")%>"></td>
</tr>
<tr>
  <td nowrap align=center class="TDTitleStyle" width=64>标签备注</td>
  <td class="TDStyle"><input type="text" name="BookMarkText" size="50" maxlength="150" class="IptStyle" value="<%=result.getString("BookMarkText")%>"></td>
</tr>
</table>
</form>
<%
    }
    else
    {
       out.write("数据库中不存在该标签。<input type='button' value='返 回' onclick='javascript:history.back();'");
    }
    result.close();
  }
  catch(Exception e)
  {
      System.out.println(e.toString());
  }
  DbaObj.CloseConnection() ;
}
%>
</body>
</html>
